Subject: Ticket Assigned - Article Feedback - Can I return part of a promotional purchase, where the discount was calculated on the total cost of my purchase?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 11 Feb 2022 11:43:04 +0000

Hi Naif Teni,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Can I return part of a promotional purchase, where the discount was calculated on the total cost of my purchase? Feedback for:  Can I return part of a promotional purchase, where the discount was calculated on the total cost of my purchase? Not pickup my retur  order now 1 month ... https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3822486